package common.item;

import common.color.TextColor;
import common.dimension.Space;
import common.entity.npc.EntityNPC;
import common.init.SoundEvent;
import common.world.World;
import common.world.AWorldServer;

public class ItemExterminator extends ItemMagnetic {
	public ItemExterminator() {
		this.setMaxStackSize(1);
		this.setColor(TextColor.DRED);
	}

//	public final boolean canUseInAir() {
//		return true;
//	}

	public ItemStack onItemRightClick(ItemStack stack, World world, EntityNPC player) {
		if(!world.client) {
			world.playSoundAtEntity(player, SoundEvent.CLICK, 1.0F);
			if(world.dimension == Space.INSTANCE)
				player.connection.addHotbar(TextColor.RED + "Der Weltraum kann nicht zerstört werden (lol)");
			else if(!((AWorldServer)world).exterminate())
				player.connection.addHotbar(TextColor.YELLOW + "Die Welt %s ist bereits zerstört", world.dimension.getFormattedName(false));
			else
				player.connection.addHotbar(TextColor.CRIMSON + "Die Welt %s wurde vernichtet >:)-", world.dimension.getFormattedName(false));

//            if (!playerIn.capabilities.isCreativeMode)
//            {
//                --stack.stackSize;
//            }

//			return true;
		}

//        player.triggerAchievement(StatRegistry.objectUseStats[ItemRegistry.getIdFromItem(this)]);
        return stack;
	}
}
